package com.sun.org.apache.xerces.internal.xni.parser;

import com.sun.org.apache.xerces.internal.util.PropertyState;
import com.sun.org.apache.xerces.internal.util.FeatureState;

public interface XMLComponentManager
{
    public abstract boolean getFeature(String p0) throws XMLConfigurationException;
    
    public abstract boolean getFeature(String p0, boolean p1);
    
    public abstract Object getProperty(String p0) throws XMLConfigurationException;
    
    public abstract Object getProperty(String p0, Object p1);
    
    public abstract FeatureState getFeatureState(String p0);
    
    public abstract PropertyState getPropertyState(String p0);
}
